<?php

// 呼び出しURLのサンプル
// http://svh36.sunbridge.com/mixi/stub/oauth.php?client_id=2bb7133e5e50818232d2&response_type=code&scope=w_share&display=pc

// パラメータ定数指定
define('CONSUMER_KEY',  '2bb7133e5e50818232d2');
define('RESPONSE_TYPE', 'code');
define('SCOPE',         'w_share');
define('DISPLAY',       'pc');

session_start();

function _paramError() {
    print "parameter error.";
    exit();
}

// パラメータチェック
if ($_GET['client_id'] != CONSUMER_KEY) {
    _paramError();
}
if ($_GET['response_type'] != RESPONSE_TYPE) {
    _paramError();
}
if ($_GET['scope'] != SCOPE) {
    _paramError();
}
if ($_GET['display'] != DISPLAY) {
    _paramError();
}

$uniqId = uniqid();
header('Location: ../callback.php?code='.$uniqId);

?>
