<?php
require_once('MixiGraphApi.php');

session_start();

if (empty($_SESSION['access_token'])) {
    header('Location: ./index.html');
}
$token = $_SESSION['access_token'];

// チェックの投稿
$mixi  = new MixiGraphApi();
$mixi->setOAuthHeader($token);
$title       = 'Mixiチェックサンプル';
$description = $title . ' 要約';
$comment     = $title . ' コメント';
$image       = 'http://svh36.sunbridge.com/mixi/images/sample.jpg';
// 指定可能なオプションは以下ページを参照
// http://developer.mixi.co.jp/connect/mixi_graph_api/mixi_io_spec_top/check-api/
$param = array(
    'title'       => $title,       // タイトル
    'description' => $description, // チェックする対象の説明文    
    'comment'     => $comment,     // ユーザの入力したコメント
    'image'       => $image,       // サムネイル画像のURL
);
$mixi->callCheckApi($param);

// http code:200の場合、投稿成功なのでスコア付与の処理を行う
if ($mixi->getHttpCode() == 200) {
    $msg = "success";
} else {
    $msg = "ng(http_code:".$mixi->getHttpCode().")";
}
print $msg;

?>
